Bug 253819 - Certwatch doesn't understand option -a because of wrong option parsing
Certwatch doesn't understand option -a because of wrong option parsing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crypto-utils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 02:26 EDT by Tuomo Soini
Modified: 2008-03-06 12:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 12:09:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix certwatch option parsing (405 bytes, patch)
2007-08-22 02:26 EDT, Tuomo Soini
no flags Details | Diff

  None (edit)
Description Tuomo Soini 2007-08-22 02:26:11 EDT
Description of problem:

certwatch doesn't parse it's arguements correctly

Version-Release number of selected component (if applicable):

crypto-utils-2.3-2

How reproducible:

always

Steps to Reproduce:
1. man certwatch and check for arguments
2. certwatch -a username cert.pem
3. certwatch: invalid option -- a
  
Actual results:
certwatch refuse to accept option -a

Expected results:

certwatch should parse arguments correctly
Comment 1 Tuomo Soini 2007-08-22 02:26:11 EDT
Created attachment 162030 [details]
Patch to fix certwatch option parsing
Comment 2 Joe Orton 2007-08-22 04:38:31 EDT
Thanks for the patch!  This is built for F8:

http://koji.fedoraproject.org/koji/taskinfo?taskID=117377
Comment 3 Tuomo Soini 2007-08-23 05:45:46 EDT
With my patch options "-p 60" seems to cause segfault. Still something to fix...
Comment 4 Joe Orton 2007-08-23 05:48:43 EDT
Shows I only ever test the --long-style options :)  I've fixed that too.

Note You need to log in before you can comment on or make changes to this bug.